## x2goclient 4.1.1.1

=== Makefile ===
#!/usr/bin/make -f

TOP_DIR=$(CURDIR)
CLIENT_DIR=$(TOP_DIR)/client_build
CLIENT_BINARY=$(CLIENT_DIR)/x2goclient

PLUGIN_DIR=$(TOP_DIR)/plugin_build
PLUGIN_BINARY=$(PLUGIN_DIR)/libx2goplugin.so

SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_SYMLINK=ln -s -f
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR=
PREFIX=/usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
SHAREDIR=$(PREFIX)/share
MANDIR=$(SHAREDIR)/man
MOZPLUGDIR=$(PREFIX)/lib/mozilla/plugins
QMAKE_BINARY=qmake-qt4
LRELEASE_BINARY=lrelease-qt4
QMAKE_OPTS=

LDFLAGS+=-lldap -lcups -lX11 -lXpm


#####################################################################
# Make sure that variables passed via the command line are not
# automatically exported.
#
# By default, such variables are exported and passed on to child
# (make) processes, which means that we will run into trouble if we
# pass CXXFLAGS="some value" as an argument to the top-level
# make call. Whatever qmake generates will be overridden by this
# definition, leading to build failures (since the code expects
# macro values to be set in some cases - which won't be the case
# for "generic" CXXFLAGS values.)
#
# Doing that turns out to be somewhat difficult, though.
#
# While preventing make from passing down *options* is possible via
# giving the new make call an empty MAKEFLAGS value and even though
# variables defined on the command line are part of MAKEFLAGS, this
# doesn't affect implicit exporting of variables (for most
# implementations.)
#
# Even worse, the correct way to this stuff differs from make
# implementation to make implementation.

# GNU make way.
MAKEOVERRIDES=

# FreeBSD and NetBSD way.
.MAKEOVERRIDES=

# OpenBSD way.
.MAKEFLAGS=


all: build

build: build_man build_pluginprovider
	$(MAKE) build_client
	$(MAKE) build_plugin

build_client:
	$(LRELEASE_BINARY) x2goclient.pro
	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" $(QMAKE_OPTS) ../x2goclient.pro
	cd $(CLIENT_DIR) && $(MAKE)

build_plugin:
	$(LRELEASE_BINARY) x2goclient.pro
	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" $(QMAKE_OPTS) ../x2goclient.pro
	cd $(PLUGIN_DIR) && $(MAKE)

build_pluginprovider:

build_man:
	${MAKE} -f Makefile.man2html build

clean: clean_client clean_plugin clean_man clean_pluginprovider
	find . -maxdepth 3 -name '*.o' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'moc_*.cpp' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'ui_*.h' -exec rm -vf {} + -type f
	find . -maxdepth 3 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
	rm -f x2goclient
	rm -f x2goclient.tag
	rm -f res/txt/changelog
	rm -f res/txt/git-info

clean_client:
	rm -fr $(CLIENT_DIR)

clean_plugin:
	rm -fr $(PLUGIN_DIR)

clean_pluginprovider:

clean_man:
	make -f Makefile.man2html clean

install: install_client install_plugin install_man install_pluginprovider

install_client:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/applications
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2goclient/icons
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/128x128/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps
	$(INSTALL_PROGRAM) $(CLIENT_DIR)/x2goclient $(DESTDIR)$(BINDIR)/x2goclient
	$(INSTALL_FILE) desktop/x2goclient.desktop    $(DESTDIR)$(SHAREDIR)/applications/x2goclient.desktop
	$(INSTALL_FILE) res/img/icons/x2goclient.xpm          $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2goclient.xpm
	$(INSTALL_FILE) res/img/icons/128x128/x2goclient.png  $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2goclient.png
	$(INSTALL_FILE) res/img/icons/128x128/x2gosession.png $(DESTDIR)$(SHAREDIR)/x2goclient/icons/x2gosession.png
	$(INSTALL_FILE) res/img/icons/128x128/x2goclient.png  $(DESTDIR)$(SHAREDIR)/icons/hicolor/128x128/apps/x2goclient.png
	$(INSTALL_FILE) res/img/icons/16x16/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/16x16/apps/x2goclient.png
	$(INSTALL_FILE) res/img/icons/64x64/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
	$(INSTALL_FILE) res/img/icons/32x32/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png

install_plugin:
	$(INSTALL_DIR) $(DESTDIR)$(MOZPLUGDIR)/
	$(INSTALL_PROGRAM) $(PLUGIN_DIR)/libx2goplugin.so $(DESTDIR)$(MOZPLUGDIR)/libx2goplugin.so

install_pluginprovider:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/plugin-provider
	$(INSTALL_FILE) provider/etc/x2goplugin-apache.conf $(DESTDIR)$(ETCDIR)/x2goplugin-apache.conf
	$(INSTALL_FILE) provider/share/x2goplugin.html $(DESTDIR)$(ETCDIR)/plugin-provider/x2goplugin.html
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2go/plugin/
	$(INSTALL_SYMLINK) ../../../../$(ETCDIR)/plugin-provider/x2goplugin.html $(DESTDIR)$(SHAREDIR)/x2go/plugin/x2goplugin.html

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/x2goclient.1    $(DESTDIR)$(MANDIR)/man1/x2goclient.1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2goclient.1

uninstall: uninstall_client uninstall_plugin uninstall_man

uninstall_client:
	$(RM_FILE) $(BINDIR)/x2goclient
	$(RM_FILE) $(SHAREDIR)/applications/x2goclient.desktop
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2goclient.xpm
	$(RM_FILE) $(SHAREDIR)/x2goclient/icons/x2gosession.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/128x128/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/16x16/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
	$(RM_FILE) $(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png
	$(RM_DIR) $(SHAREDIR)/applications
	$(RM_DIR) $(SHAREDIR)/x2goclient/icons
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/128x128/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/16x16/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/64x64/apps
	$(RM_DIR) $(SHAREDIR)/icons/hicolor/32x32/apps

uninstall_plugin:
	$(RM_FILE) $(MOZPLUGDIR)/libx2goplugin.so
	$(RM_DIR) $(MOZPLUGDIR)/

uninstall_pluginprovider:
	$(RM_FILE) $(ETCDIR)/x2goplugin-apache.conf
	$(RM_FILE) $(ETCDIR)/plugin-provider/x2goplugin.html
	$(RM_DIR) $(ETCDIR)/plugin-provider
	$(RM_DIR) $(ETCDIR)
	$(RM_FILE) $(SHAREDIR)/x2go/plugin/x2goplugin.html
	$(RM_DIR) $(SHAREDIR)/x2go/plugin/
	$(RM_DIR) $(SHAREDIR)/x2go/

uninstall_man:
	$(RM_FILE) $(MANDIR)/man1/x2goclient.1.gz
	$(RM_DIR) $(MANDIR)/man1

=== debian/changelog ===
x2goclient (4.1.1.1-2ubuntu0.18.04.1) bionic; urgency=medium

  * debian/patches:
    + Add libssh-regression-fix-CVE-2019-14889.patch. In src/sshprocess.cpp:
      strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from destination paths
      in scp mode. Fixes: #1428. This was already necessary for pascp (PuTTY-
      based Windows solution for Kerberos support), but newer libssh versions
      with the CVE-2019-14889 also interpret paths as literal strings.
      (LP: #1856795).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 Dec 2019 21:11:41 +0100

x2goclient (4.1.1.1-2) unstable; urgency=medium

  [ Scarlett Clark ]
  * Port to Qt5. (Closes: #875236).
    + Add patch to adjust Makefile to remove qt4 from binaries used.
    + Comment out plugin packages in control. Plugins are still QT4.
      Update client package to show qt5 rather than qt4.
    + Update build depends to qt5 packages.
    + Update rules file to only build/install client/man.
    + Add QT_SELECT to rules to use qt5.

  [ Mike Gabriel ]
  * debian/*:
    + Drop all references to the x2goplugin{,-provider} bin:packages.
  * debian/patches:
    + Whitespace cleanup in header of update_makefile_qt5-build.patch.
  * debian/rules:
    + Drop now (since DH compat level 11) default argument --parallel.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Apr 2018 11:34:03 +0200

x2goclient (4.1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch.
    + Update 1002_fix-ftbfs-on-non-linux.patch. Spot another location where to
      drop inclusion of sys/mount.h.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump DH version level to 11.
  * debian/watch:
    + Use secure URL to retrieve upstream's source tarball.
  * debian/changelog: White-space clean-up.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Feb 2018 22:49:12 +0100

=== debian/control ===
Source: x2goclient
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
Build-Depends:
 apache2-dev,
 debhelper (>= 11~),
 dpkg-dev (>= 1.16.1.1),
 libldap2-dev,
 libssh-dev (>= 0.5.4-2~),
 libcups2-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libx11-dev,
 libxpm-dev,
 man2html-base | man2html,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.1.3
Homepage: http://wiki.x2go.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goclient.git

Package: x2goclient
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssh-client,
 nxproxy,
Recommends:
 openssh-server,
 rdesktop | freerdp-x11,
Suggests:
 pinentry-x2go,
Conflicts:
 x2goclient-gtk,
Replaces:
 x2goclient-gtk,
Description: X2Go Client application (Qt5)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt5) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://code.x2go.org/releases/source/x2goclient/x2goclient-(\d+\.\d+\.\d+\.\d+)\.tar\.gz

## x2goclient 4.1.2.0

=== debian/changelog ===
x2goclient (4.1.2.0-2) unstable; urgency=medium

  * debian/changelog:
    + Fix typo in previous changelog stanza.
  * debian/patches:
    + Update 1002_fix-ftbfs-on-non-linux.patch. Fix another FTBFS cause for
      Hurd and kFreeBSD in src/InteractionDialog.cpp.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jun 2018 11:37:08 +0200

x2goclient (4.1.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Now with LXQt support. (Closes: #891320).
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Provide upstream metadata info. Make package compliant with DEP-12.
  * debian/patches:
    + Rebase update_makefile_qt5-build.patch.
    + Rebase and improve 1002_fix-ftbfs-on-non-linux.patch.
    + Drop 1001_deprecated-apache2-config.patch. X2Go Plugin is not shipped
      anymore in the code base.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Jun 2018 23:11:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: x2goclient
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
+Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -20,10 +19,10 @@
  man2html-base | man2html,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://wiki.x2go.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/x2goclient.git
+Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goclient.git
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goclient/
 
 Package: x2goclient
 Architecture: any

## x2goclient 4.1.2.1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,6 @@
 TOP_DIR=$(CURDIR)
 CLIENT_DIR=$(TOP_DIR)/client_build
 CLIENT_BINARY=$(CLIENT_DIR)/x2goclient
-
-PLUGIN_DIR=$(TOP_DIR)/plugin_build
-PLUGIN_BINARY=$(PLUGIN_DIR)/libx2goplugin.so
 
 SHELL=/bin/bash
 
@@ -23,7 +20,6 @@
 BINDIR=$(PREFIX)/bin
 SHAREDIR=$(PREFIX)/share
 MANDIR=$(SHAREDIR)/man
-MOZPLUGDIR=$(PREFIX)/lib/mozilla/plugins
 QMAKE_BINARY=qmake-qt4
 LRELEASE_BINARY=lrelease-qt4
 QMAKE_OPTS=
@@ -66,30 +62,23 @@
 
 all: build
 
-build: build_man build_pluginprovider
+build: build_man
 	$(MAKE) build_client
-	$(MAKE) build_plugin
 
 build_client:
 	$(LRELEASE_BINARY) x2goclient.pro
 	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" $(QMAKE_OPTS) ../x2goclient.pro
 	cd $(CLIENT_DIR) && $(MAKE)
 
-build_plugin:
-	$(LRELEASE_BINARY) x2goclient.pro
-	mkdir -p $(PLUGIN_DIR) && cd $(PLUGIN_DIR) && X2GO_CLIENT_TARGET=plugin $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" $(QMAKE_OPTS) ../x2goclient.pro
-	cd $(PLUGIN_DIR) && $(MAKE)
-
-build_pluginprovider:
-
 build_man:
 	${MAKE} -f Makefile.man2html build
 
-clean: clean_client clean_plugin clean_man clean_pluginprovider
+clean: clean_client clean_man
 	find . -maxdepth 3 -name '*.o' -exec rm -vf {} + -type f
 	find . -maxdepth 3 -name 'moc_*.cpp' -exec rm -vf {} + -type f
 	find . -maxdepth 3 -name 'ui_*.h' -exec rm -vf {} + -type f
 	find . -maxdepth 3 -name 'qrc_*.cpp' -exec rm -vf {} + -type f
+	find . -maxdepth 3 -name 'x2goclient_*.qm' -exec rm -vf {} + -type f
 	rm -f x2goclient
 	rm -f x2goclient.tag
 	rm -f res/txt/changelog
@@ -98,15 +87,10 @@
 clean_client:
 	rm -fr $(CLIENT_DIR)
 
-clean_plugin:
-	rm -fr $(PLUGIN_DIR)
-
-clean_pluginprovider:
-
 clean_man:
 	make -f Makefile.man2html clean
 
-install: install_client install_plugin install_man install_pluginprovider
+install: install_client install_man
 
 install_client:
 	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
@@ -126,24 +110,13 @@
 	$(INSTALL_FILE) res/img/icons/64x64/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/64x64/apps/x2goclient.png
 	$(INSTALL_FILE) res/img/icons/32x32/x2goclient.png    $(DESTDIR)$(SHAREDIR)/icons/hicolor/32x32/apps/x2goclient.png
 
-install_plugin:
-	$(INSTALL_DIR) $(DESTDIR)$(MOZPLUGDIR)/
-	$(INSTALL_PROGRAM) $(PLUGIN_DIR)/libx2goplugin.so $(DESTDIR)$(MOZPLUGDIR)/libx2goplugin.so
-
-install_pluginprovider:
-	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/plugin-provider
-	$(INSTALL_FILE) provider/etc/x2goplugin-apache.conf $(DESTDIR)$(ETCDIR)/x2goplugin-apache.conf
-	$(INSTALL_FILE) provider/share/x2goplugin.html $(DESTDIR)$(ETCDIR)/plugin-provider/x2goplugin.html
-	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2go/plugin/
-	$(INSTALL_SYMLINK) ../../../../$(ETCDIR)/plugin-provider/x2goplugin.html $(DESTDIR)$(SHAREDIR)/x2go/plugin/x2goplugin.html
-
 install_man:
 	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/
 	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
 	$(INSTALL_FILE) man/man1/x2goclient.1    $(DESTDIR)$(MANDIR)/man1/x2goclient.1
 	gzip -f $(DESTDIR)$(MANDIR)/man1/x2goclient.1
 
-uninstall: uninstall_client uninstall_plugin uninstall_man
+uninstall: uninstall_client uninstall_man
 
 uninstall_client:
 	$(RM_FILE) $(BINDIR)/x2goclient
@@ -162,19 +135,6 @@
 	$(RM_DIR) $(SHAREDIR)/icons/hicolor/64x64/apps
 	$(RM_DIR) $(SHAREDIR)/icons/hicolor/32x32/apps
 
-uninstall_plugin:
-	$(RM_FILE) $(MOZPLUGDIR)/libx2goplugin.so
-	$(RM_DIR) $(MOZPLUGDIR)/
-
-uninstall_pluginprovider:
-	$(RM_FILE) $(ETCDIR)/x2goplugin-apache.conf
-	$(RM_FILE) $(ETCDIR)/plugin-provider/x2goplugin.html
-	$(RM_DIR) $(ETCDIR)/plugin-provider
-	$(RM_DIR) $(ETCDIR)
-	$(RM_FILE) $(SHAREDIR)/x2go/plugin/x2goplugin.html
-	$(RM_DIR) $(SHAREDIR)/x2go/plugin/
-	$(RM_DIR) $(SHAREDIR)/x2go/
-
 uninstall_man:
 	$(RM_FILE) $(MANDIR)/man1/x2goclient.1.gz
 	$(RM_DIR) $(MANDIR)/man1

=== debian/changelog ===
x2goclient (4.1.2.1-4) unstable; urgency=medium

  * debian/patches:
    + Add libssh-regression-fix-CVE-2019-14889.patch. In src/sshprocess.cpp:
      strip ~/, ~user{,/}, ${HOME}{,/} and $HOME{,/} from destination paths
      in scp mode. Fixes: #1428. This was already necessary for pascp (PuTTY-
      based Windows solution for Kerberos support), but newer libssh versions
      with the CVE-2019-14889 also interpret paths as literal strings.
      (Closes: #947129).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Dec 2019 17:56:23 +0100

x2goclient (4.1.2.1-3) unstable; urgency=medium

  * debian/control:
    + New team ML address: debian-remote@lists.debian.org.
    + Use secure URL in Homepage: field.
    + Bump Standards-Version: to 4.4.1. No changes needed.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/rules:
    + Drop dbgsym:migration override.
  * debian/x2goclient.manpages:
    + Drop file. Man page gets installed by dh_install.
      Might help with a recent FTBFS of 4.1.2.1-2+b1) on Debian's buildds.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Dec 2019 14:19:27 +0100

x2goclient (4.1.2.1-2) unstable; urgency=medium

  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch.
    + Add 1003_fix_ftbfs-against-libssh-0-8.patch. Fix FTBFS against
      libssh 0.8. (Closes: #905945).
    + Add 1004_fix_ftbfs-against-qt5-11.patch. Fix FTBFS against
      Qt 5.11.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 21:48:20 +0200

x2goclient (4.1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Jun 2018 14:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: x2goclient
 Section: x11
 Priority: optional
-Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  apache2-dev,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  libldap2-dev,
  libssh-dev (>= 0.5.4-2~),
@@ -19,8 +19,8 @@
  man2html-base | man2html,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.1.4
-Homepage: http://wiki.x2go.org/
+Standards-Version: 4.4.1
+Homepage: https://wiki.x2go.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goclient.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goclient/

## x2goclient 4.1.2.2

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,8 @@
 LRELEASE_BINARY=lrelease-qt4
 QMAKE_OPTS=
 
-LDFLAGS+=-lldap -lcups -lX11 -lXpm
+LDFLAGS=
+LIBS=
 
 
 #####################################################################
@@ -67,7 +68,7 @@
 
 build_client:
 	$(LRELEASE_BINARY) x2goclient.pro
-	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" $(QMAKE_OPTS) ../x2goclient.pro
+	mkdir -p $(CLIENT_DIR) && cd $(CLIENT_DIR) && $(QMAKE_BINARY) QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" QMAKE_LIBS="${LIBS}" $(QMAKE_OPTS) ../x2goclient.pro
 	cd $(CLIENT_DIR) && $(MAKE)
 
 build_man:

=== debian/changelog ===
x2goclient (4.1.2.2-2build2) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:59:51 +0000

x2goclient (4.1.2.2-2build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:11:10 -0400

x2goclient (4.1.2.2-2) unstable; urgency=medium

  * Re-upload as is, due t 4.1.2.2-1 not having been a source-only upload.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Mar 2020 10:28:31 +0100

x2goclient (4.1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch.
    + Drop 1003_fix_ftbfs-against-libssh-0-8.patch,
      1004_fix_ftbfs-against-qt5-11.patch,
      libssh-regression-fix-CVE-2019-14889.patch. Applied upstream.
    + Rebase update_makefile_qt5-build.patch.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    * Add B-D: pkg-config.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Feb 2020 22:33:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: x2goclient
 Section: x11
 Priority: optional
-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -17,9 +18,10 @@
  libx11-dev,
  libxpm-dev,
  man2html-base | man2html,
+ pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://wiki.x2go.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goclient.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goclient/

## x2goclient 4.1.2.3

=== x2gohelper/Makefile ===
all:
	g++ -mwindows -o ../client_build/release/x2gohelper.exe x2gohelper.cpp
clean:
	del ..\client_build\release\x2gohelper.exe

=== debian/changelog ===
x2goclient (4.1.2.3-4) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1003_make-4.4.1.patch. Fix FTBFS with make >= 4.4.1. (Closes:
      #1089277).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/rules:
    + Clean-up of generated changelog is now required under a different path.
      (Closes: #1048948).
  * debian/copyright:
    + Update copyright attributions for debian/.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #949352)
    + Let dh_auto_configure call qmake.
    + Build-Depends: qt5-qmake:native for lrelease.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 17:20:37 +0100

x2goclient (4.1.2.3-3) unstable; urgency=medium

  [ Niels Thykier ]
  * Tweak `debian/rules` to enable 'Rules-Requires-Root: no`

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Jun 2024 00:22:28 +0200

x2goclient (4.1.2.3-2) unstable; urgency=medium

  * debian/control:
    + Drop Reinhard Tartler from Uploaders: field (on personal request).
  * debian/:
    + Introduce x2goclient wrapper that sets QT_QPA_PLATFORM to xcb and
      enables QT_AUTO_SCREEN_SCALE_FACTOR before launching the real x2goclient
      executable. (Closes: #1042816).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Jun 2024 00:16:35 +0200

x2goclient (4.1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1002_fix-ftbfs-on-non-linux.patch.
    + Drop update_makefile_qt5-build.patch. Addressed upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Bump DH compat level to version 13.
    + Add Rules-Requires-Root: field and set it to 'binary-targets'.
  * debian/rules:
    + Set x2goclient-specific variable QT_VERSION to '5'.
  * debian/watch:
    + Bump watch file format to version 4.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Aug 2023 03:02:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: x2goclient
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Reinhard Tartler <siretart@tauware.de>,
 Build-Depends:
  apache2-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
  libldap2-dev,
  libssh-dev (>= 0.5.4-2~),
@@ -19,9 +17,11 @@
  libxpm-dev,
  man2html-base | man2html,
  pkg-config,
+ qt5-qmake:native,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://wiki.x2go.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goclient.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goclient/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
export QT_SELECT=qt5
export QT_VERSION=5
include /usr/share/dpkg/buildflags.mk

# Convince the upstream build system to avoid using `(fake)root` by
# overriding its definition of these variables
export INSTALL_DIR=install -d -m 755
export INSTALL_FILE=install -m 644
export INSTALL_PROGRAM=install -m 755

%:
	dh $@

override_dh_auto_configure:
	cp ChangeLog txt/changelog
	lrelease x2goclient.pro
	dh_auto_configure --buildsystem=qmake --builddirectory=client_build -- ../x2goclient.pro

override_dh_auto_build:
	dh_auto_build --buildsystem=qmake --builddirectory=client_build
	make PREFIX=/usr build_man

override_dh_auto_install:
	make install_client DESTDIR=$(CURDIR)/$(PACKAGE) PREFIX=/usr
	make install_man DESTDIR=$(CURDIR)/$(PACKAGE) PREFIX=/usr
	mkdir -p $(CURDIR)/$(PACKAGE)/usr/libexec/
	cp $(CURDIR)/$(PACKAGE)/usr/bin/x2goclient $(CURDIR)/$(PACKAGE)/usr/libexec/

override_dh_auto_clean:
	dh_auto_clean
	# clean stray .qm files that are not handled by clean rule in upstream Makefile
	mkdir -p txt/
	rm -Rf res/i18n/x2goclient_*.qm
	rm -f  txt/changelog

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://code.x2go.org/releases/source/x2goclient/x2goclient-(\d+\.\d+\.\d+\.\d+)\.tar\.gz

## x2goclient 4.1.2.4-2.1x2gokdrive

=== debian/changelog ===
x2goclient (4.1.2.4-2.1x2gokdrive) UNRELEASED; urgency=medium
* Mon Jun 23 2025 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-2.1x2gokdrive
- fixing terminating session from broker session selection dialog
* Tue Feb 04 2025 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-2.0x2gokdrive
- improving creation of temporary files for the broker sessions, fixing delay by start
  on Windows, wehn defender is checking newly created files
* Fri Jan 10 2025 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-1.0x2gokdrive
- fix crashing when SSH session is disconnected. Improving SSH error messages
* Mon Nov 27 2023 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-0.2x2gokdrive
- fix crashing client in broker mode, when failed to check server RSA key.
* Thu Jul 13 2023 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.4-0.1x2gokdrive
- fix disconnecting after launching session for some users.
- transfer username and password from x2go client to xfreerdp on direct RDP sessions.
* Fri Jan 20 2023 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.4x2gokdrive
- fixing file transfer on Windows.
- support for keepalive events.
* Tue Aug 23 2022 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.3x2gokdrive
- detecting client keyboard layout for x2gokdrive sessions.
- support for "noresize" option in session's config.
* Mon Jul 25 2022 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.2x2gokdrive
- send to broker xdmcpserver in command option when starting xdmcp session.
- improve event managing.
* Tue Apr  5 2022 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.1x2gokdrive
- Enable/Disable session view buttons inside of sessions explorer.
* Thu Mar 17 2022 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-2.0x2gokdrive
- Fix "key sticking" on slow connections.
- Do not show empty session folders.
- Rootless mode for x2gokdrive.
- Improve main window updates in x2gokdriveclient.
* Wed Nov 24 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-1.0x2gokdrive
- Implement different view modes for sessions explorer: Favorite sessions, running 
  sessions, all sessions.
- Add special ACL for exported directories in Windows client.
* Wed Oct 20 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.9x2gokdrive
- Fix disconnecting in not debug mode.
* Tue Oct 12 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.8x2gokdrive
- Improve resuming procedure.
* Fri Sep 17 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.7x2gokdrive
- Improve debugging.
* Thu Sep 16 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.6x2gokdrive
- Fix loading session icon to system tray when using broker.
* Thu Sep 16 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.5x2gokdrive
- Fix instant disconnecting when changing between native client and VDI.
* Tue Jul 13 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.4x2gokdrive
- Support for HTTP(S) urls in the session icons when using http broker.
* Wed Jun  9 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.3x2gokdrive
- Send OS version to broker.
- Don't exit if broker is not responding and session is not started.
* Fri Jan 22 2021 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.2x2gokdrive
- Uncompress compressed strings using zlib.
- Open .x2go files with x2goclient.
- Sending client version to broker.
* Wed Oct 14 2020 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.3-0.1x2gokdrive
- Fixing problems with large clipboards.
- Support feature versioning.
* Thu May 14 2020 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.7x2gokdrive
- EUMETSAT branding.
- Synchronization with x2gobroker.
* Thu Jan 23 2020 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.6x2gokdrive
  - Changes in x2gokdriveclient:
    - Add floating tool bar.
    - Identify screen, when user hovering the action in the multiple monitors menu.
* Fri Nov 29 2019 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.5x2gokdrive
- Build libssh-0.9.2 with pagent patch for Windows client.
- Changes in Windows installer: include debug build by default.
* Thu Oct 31 2019 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.4x2gokdrive
- Add possibility to suspend and terminate sessions from session selection dialog in broker mode.
- Improve request handling in HTTP broker. Fixing crashes on RH7(VDI) and possible other platforms.
* Thu Sep 5 2019 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> 4.1.2.2-0.3x2gokdrive
- Display number of suspended and running sessions for each session type.
- Fix crashing if the path for automount in the session config file in wrong
  format. Supporting both Windows and Linux path in automount format. Check if path exists before mounting.
- Do not show Pulseaudio warning on Windows, if Pulseaudio is disabled in settings or by command line.

=== debian/control ===
Source: x2goclient
Section: x11
Priority: optional
Maintainer: X2Go Developers <x2go-dev@lists.x2go.org>
Uploaders:
 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>,
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper (>= 7.0.50~),
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 libldap2-dev,
 libssh-dev (>= 0.5.4-2~),
 libcups2-dev,
 libx11-dev,
 libxpm-dev,
 man2html-base | man2html,
 pkg-config,
 lsb-release,
 libencode-locale-perl,
 m4,
Standards-Version: 3.9.5
Homepage: https://code.x2go.org/releases/source/x2goclient
Vcs-Git: git://code.x2go.org/x2goclient.git
Vcs-Browser: https://code.x2go.org/gitweb?p=x2goclient.git;a=summary

Package: x2goclient
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssh-client,
 nxproxy | qvd-nxproxy,
 x2gokdriveclient | hello,
Recommends:
 openssh-server,
 freerdp2-x11 | rdesktop | freerdp-x11,
Conflicts:
 x2goclient-gtk,
Replaces:
 x2goclient-gtk,
Description: X2Go Client application (Qt@@QT_VERSION@@)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt@@QT_VERSION@@) for the X2Go system.
 You can use it to connect to running sessions and start new sessions.

Package: x2goclient-dbg
Section: debug
Architecture: any
Depends:
 ${misc:Depends},
 x2goclient (= ${binary:Version}),
Description: X2Go Client application (Qt@@QT_VERSION@@), debug symbols (client)
 X2Go is a serverbased computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Client is a graphical client (Qt@@QT_VERSION@@) for the X2Go system.
 You can use it to connect to running sessions and start new sessions
 .
 This package provides the debug symbols for the X2Go Client application.

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

RELEASE_VER := 0
RELEASE_VER_MAJOR := 0
RELEASE_VER_MINOR := 0
VENDOR_DEBIAN :=
VENDOR_UBUNTU :=

QT_VERSION := 4

# Setting these disables autodetection.
FORCE_VENDOR ?=
FORCE_RELEASE_VER ?=

ifneq ($(FORCE_VENDOR),)
  ifneq ($(FORCE_RELEASE_VER),)
    VENDOR_DEBIAN := $(shell if [ 'debian' = '$(FORCE_VENDOR)' ] || [ '$(FORCE_VENDOR)' = 'raspbian' ]; then echo 'yes'; fi)
    VENDOR_UBUNTU := $(shell if [ 'ubuntu' = '$(FORCE_VENDOR)' ]; then echo 'yes'; fi)
    RELEASE_VER := $(FORCE_RELEASE_VER)

    ifeq ($(VENDOR_UBUNTU),yes)
      RELEASE_VER_MAJOR := $(shell printf '%s\n' '$(RELEASE_VER)' | /usr/bin/cut -d '.' -f '1')
      RELEASE_VER_MINOR := $(shell printf '%s\n' '$(RELEASE_VER)' | /usr/bin/cut -d '.' -f '2')
    endif
  else
    $(error FORCE_VENDOR passed, but FORCE_RELEASEVER empty.)
  endif
else
  VENDOR_DEBIAN := $(shell { dpkg-vendor --is 'Debian' && echo 'yes'; } || { dpkg-vendor --is 'Raspbian' && echo 'yes'; })

  ifeq ($(VENDOR_DEBIAN),yes)
    RELEASE_VER := $(shell /usr/bin/lsb_release -r | /bin/sed -e 's/[	 ]*//g' | /usr/bin/cut -d ':' -f '2' | /usr/bin/cut -d '.' -f '1')

    # Newer Debian versions might report "n/a" for testing and unstable.
    ifeq ($(RELEASE_VER),n/a)
      # On these platforms, the best way to determine the system version is by
      # going through "apt-cache policy".
      # Note that this should only be the case for either testing or unstable.
      # Other systems should have a proper version number.
      # This is also why we can just drop any suites/archive names (this is
      # what a= means) containing a dash character (e.g., "stable-updates")
      # and only pick the first match.
      RELEASE_VER := $(shell /usr/bin/apt-cache policy | grep -E 'o=(De|Rasp)bian,' | grep -E 'l=(De|Rasp)bian,' | grep -F 'c=main,' | grep -Eo 'a=[^, ]*' | sed -e 's/^a=//' | grep -v -- '-' | head -n '1')

      # Do error checking.
      ifneq ($(RELEASE_VER),testing)
        ifneq ($(RELEASE_VER),unstable)
          $(error Release version could not be determined, sorry. Extracted value: $(RELEASE_VER))
        endif
      endif
    endif

    # Let's fake testing's and unstable's "release version"...
    ifeq ($(RELEASE_VER),testing)
      RELEASE_VER := 999
    endif
    ifeq ($(RELEASE_VER),unstable)
      RELEASE_VER := 9999
    endif
  else
    VENDOR_UBUNTU := $(shell dpkg-vendor --is 'Ubuntu' && echo 'yes')

    ifeq ($(VENDOR_UBUNTU),yes)
      RELEASE_VER_MAJOR := $(shell /usr/bin/lsb_release -r | /bin/sed -e 's/[	 ]*//g' | /usr/bin/cut -d ':' -f '2' | /usr/bin/cut -d '.' -f '1')
      RELEASE_VER_MINOR := $(shell /usr/bin/lsb_release -r | /bin/sed -e 's/[	 ]*//g' | /usr/bin/cut -d ':' -f '2' | /usr/bin/cut -d '.' -f '2')
    endif
  endif
endif

# Actual version switch.
ifeq ($(VENDOR_DEBIAN),yes)
  ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER) >= 11 )) && echo '"'"'yes'"'"),yes)
    QT_VERSION = 5
  endif
else
  ifeq ($(VENDOR_UBUNTU),yes)
    # Example of how to use major and minor as a selector, we currently won't need
    # this as the transition happened on a major version.
    #ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER_MAJOR) == 20 )) && echo '"'"'yes'"'"),yes)
      #ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER_MINOR) >= 4 )) && echo '"'"'yes'"'"),yes)
        #QT_VERSION = 5
      #endif
    #else
    ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER_MAJOR) >= 20 )) && echo '"'"'yes'"'"),yes)
      QT_VERSION = 5
    endif
  endif
endif

# lrelease fails to run when calling it via user-mode emulation, because the
# lprodump binary tries to fetch the default mkspec by calling "qmake -query"
# and parsing its output, but does so via QProcess. QProcess fails to work in
# user-mode emulation, at least when using the default vfork-like clone ()
# call, so no data can be queried, leading to a hardcoded value being used,
# which can't be resolved and ultimately leads to lprodump and release
# failing.
# Thankfully, we can work around this issue by specifying QMAKESPEC directly.
LRELEASE_WORKAROUND ?= auto
LRELEASE_OVERRIDE :=

ifeq ($(LRELEASE_WORKAROUND),auto)
  LRELEASE_WORKAROUND := 0
  ifeq ($(VENDOR_DEBIAN),yes)
    ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER) >= 12 )) && echo '"'"'yes'"'"),yes)
      ifeq ($(DEB_BUILD_GNU_TYPE),aarch64-linux-gnu)
        LRELEASE_WORKAROUND := 1
      else
        ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabihf)
          LRELEASE_WORKAROUND := 1
        endif
      endif
    endif
  endif
endif

ifneq ($(LRELEASE_WORKAROUND),0)
  LRELEASE_OVERRIDE := "LRELEASE_BINARY=QMAKESPEC=$$(qmake -query 'QT_HOST_DATA')/mkspecs/$$(qmake -query 'QMAKE_SPEC') lrelease"
endif

# The preprocessing magic is highly inspired by the firefox package.
IN_FILES := $(wildcard debian/*.in)
preprocessed_filename = $(1:.in=)
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

$(PREPROCESSED_FILES): VARS = QT_VERSION

$(PREPROCESSED_FILES):
	debian/preprocess.sh $< $(foreach var,$(VARS),'$(var)=$($(var))' )

%:
	dh $@ --parallel

override_dh_auto_configure:
	cp debian/changelog res/txt/changelog
	if [ -f ChangeLog.gitlog ]; then cp ChangeLog.gitlog res/txt/git-info; fi
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build -- 'QT_VERSION=$(QT_VERSION)' $(LRELEASE_OVERRIDE)

override_dh_auto_clean:
	# Try to regenerate debian/control if necessary, but don't force it.
	# sbuild will run the clean operation non-chrooted before building the
	# source package, meaning that we're not running in the target system,
	# so forcefully regenerating it will lead to wrong results.
	debian/rules 'debian/control'
	dh_auto_clean
	rm -f res/txt/changelog

override_dh_strip:
	dh_strip -p x2goclient --dbg-package=x2goclient-dbg
